## Package org.opencyc.api

Interface Summary
CycConnectionInterface: Defines the interface for local and remote CycConnection objects

Class Summary
ApiDemo: Provides a simple demo of the OpenCyc API.
CfaslInputStream: A CFASL translating input stream.
CfaslOutputStream: A CFASL translating buffered output stream.
CycAccess: Provides wrappers for the OpenCyc API.
CycConnection: Provides a binary connection and an ascii connection to the OpenCyc server.
CyclopsBenchmark: Loads and executes the Cyclops (Cyc Logical Operations) benchmark.
CycObjectFactory: Provides the way to create cyc objects and reuse previously cached instances. All methods are static.
RemoteCycConnection: Provides remote access a binary connection and an ascii connection to the OpenCyc server.
UnitTest: Provides a unit test suite for the `org.opencyc.api` package

Exception Summary
CycApiException: Class CycApiException indicates an error condition during a Cyc API call.